package com.zd.chemical.mapper;

import java.util.List;
import com.zd.chemical.domain.HxpAlarmConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 化学品报警配置Mapper接口
 *
 * @author liubo
 * @date 2022-06-16
 */
public interface HxpAlarmConfigMapper
{
    /**
     * 查询化学品报警配置
     *
     * @param id 化学品报警配置主键
     * @return 化学品报警配置
     */
    public HxpAlarmConfig selectHxpAlarmConfigById(Long id);

    /**
     * 查询化学品报警配置列表
     *
     * @param hxpAlarmConfig 化学品报警配置
     * @return 化学品报警配置集合
     */
    public List<HxpAlarmConfig> selectHxpAlarmConfigList(HxpAlarmConfig hxpAlarmConfig);

    /**
     * 新增化学品报警配置
     *
     * @param hxpAlarmConfig 化学品报警配置
     * @return 结果
     */
    public int insertHxpAlarmConfig(HxpAlarmConfig hxpAlarmConfig);

    /**
     * 修改化学品报警配置
     *
     * @param hxpAlarmConfig 化学品报警配置
     * @return 结果
     */
    public int updateHxpAlarmConfig(HxpAlarmConfig hxpAlarmConfig);

    /**
     * 删除化学品报警配置
     *
     * @param id 化学品报警配置主键
     * @return 结果
     */
    public int deleteHxpAlarmConfigById(Long id);

    /**
     * 批量删除化学品报警配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHxpAlarmConfigByIds(Long[] ids);

    /**
     * 删除化学品报警配置
     *
     * @param alarmDeptId 学院id
     * @return 结果
     */
    public int deleteHxpAlarmConfigByDeptId(Long alarmDeptId);

    /**
     * 查询化学品报警配置
     *
     * @param alarmDeptId 学院id
     * @return 化学品报警配置
     */
    public List<HxpAlarmConfig> getDeptDetail(Long alarmDeptId);

    List<HxpAlarmConfig> selectBySubId(@Param("alarmMode") Integer alarmMode, @Param("subId") Long subId);
}
